<div class="mt-2">
    <div><span><b>Tenant Management > <i>Tenant</i></b></span></div>
    <jhi-alert></jhi-alert>
    <div class="mt-4">
        <span class="float-left h3" jhiTranslate="tenantManagement.home.title">Tenant</span>
        <button class="btn btn-primary float-right mb-2" [routerLink]="['/tenant-management/create']">
            <span class="fa fa-plus"></span> <span jhiTranslate="tenantManagement.home.createLabel">Create a new Tenant</span>
        </button>
    </div>
    <div class="table-responsive" *ngIf="tenants">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                <th jhiSortBy="tenantId"><span>TenantId</span> <span class="fa fa-sort"></span></th>
                <th jhiSortBy="name"><span>CompanyName</span> <span class="fa fa-sort"></span></th>
                <th><span>CompanyPhone</span></th>
                <th><span>Contact Person Name</span></th>
                <th><span>Contact person Phone</span></th>
                <th><span>Contact Person Email</span></th>
                <th><span>Action</span></th>
            </tr>
            </thead>
            <tbody *ngIf="tenants">
            <tr *ngFor="let tenant of tenants; trackBy: trackIdentity">
                <td>{{tenant.tenantId}}</td>
                <td>{{tenant.name}}</td>
                <td>{{tenant.companyPhoneNumber}}</td>
                <td>{{tenant.contactPersonName}}</td>
                <td>
                    {{tenant.contactPersonMobilephone}}
                </td>
                <td>{{tenant.contactPersonEmail}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/tenant-management/view', tenant.id]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/tenant-management/edit', tenant.id]"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'tenant-management/'+ tenant.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm" [disabled]="currentAccount.login === tenant.login">
                            <span class="fa fa-remove"></span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="pagination-layout" *ngIf="tenants">
        <div class="row m-0 justify-content-center">
            <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row m-0 justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page"
                            (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
